GWT 2.7.0

## com.google.gwt.text.shared.testing
Class PassthroughRenderer

    java.lang.Object
      com.google.gwt.text.shared.AbstractRenderer<java.lang.String>
          com.google.gwt.text.shared.testing.PassthroughRenderer

All Implemented Interfaces:
  Renderer<java.lang.String>

    public class PassthroughRenderer

extends AbstractRenderer<java.lang.String>

A no-op String renderer. This is rarely or never the right thing to use in production, but it's handy for tests.

Constructor Summary
`protected` | `PassthroughRenderer()`

Method Summary
`static Renderer<java.lang.String>` | `instance()` Returns the instance of the no-op renderer.
`java.lang.String` | `render(java.lang.String object)` Renders `object` as plain text.

Methods inherited from class com.google.gwt.text.shared.AbstractRenderer
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassthroughRenderer

    protected PassthroughRenderer()

Method Detail

### instance

    public static Renderer<java.lang.String> instance()

  Returns the instance of the no-op renderer.

### render

    public java.lang.String render(java.lang.String object)

  Description copied from interface: `Renderer`
  Renders `object` as plain text. Should never throw any exceptions!

GWT 2.7.0